Adjust php script for mysql 5

IN PROGRESS
Bids
33
Avg Bid (USD)
$410
Project Budget (USD)
$250 - $750

Project Description:
I have a script that provides insurance plans and rates online. Site visitor types in age, gender and zip code, and appropriate plans and rates are returned. It works perfectly when associated with mySQL 4.1. It does not work with mySQL 5 and above.
I am seeing the following array warning for starters: "Warning: array_merge() [function.array-merge]: Argument #1 is not an array". I assuming the formating of the arrays are at the heart of the issue, however there could be other issues also. I need an expert to adjust the script to resolve this issue. You will be provided access to two server environments - one running mySQL 4.1 the other mySQL 5.0. I have created a pared down version of the script to simplify things. The script and databases on both servers are the same. the 4.1 returns results properly, the 5.0 does not. This job is complete when the 5.0 server returns the same results as the 4.1 server. The solution must be commented so I can understand what is going on. Thanks.

Skills required:
MySQL, PHP
Hire edwin123vw
Project posted by:
edwin123vw United States
Verified
Public Clarification Board
Bids are hidden by the project creator. Log in as the employer to view bids or to bid on this project.
You will not be able to bid on this project if you are not qualified in one of the job categories. To see your qualifications click here.


$ 386
in 6 days
$ 515
in 2 days
Hire rajeshsonisl
$ 735
in 4 days
$ 257
in 3 days
Hire bob1982
$ 525
in 3 days
$ 715
in 25 days
$ 824
in 10 days
$ 275
in 1 days
Hire fuzzoid
$ 275
in 2 days
Hire leomedina01
$ 262
in 3 days